import type { JwaEncryptionAlgorithm } from '../jwa/alg';
import type { JwkJson } from './Jwk';
import { KeyType } from '../../KeyType';
import { JwaCurve, JwaKeyType } from '../jwa';
import { JwaSignatureAlgorithm } from '../jwa/alg';
import { Jwk } from './Jwk';
export declare class Ed25519Jwk extends Jwk {
    static readonly supportedEncryptionAlgorithms: JwaEncryptionAlgorithm[];
    static readonly supportedSignatureAlgorithms: JwaSignatureAlgorithm[];
    static readonly keyType = KeyType.Ed25519;
    private readonly _x;
    constructor({ x }: {
        x: string | Uint8Array;
    });
    get x(): string;
    get kty(): JwaKeyType.OKP;
    get crv(): JwaCurve.Ed25519;
    get publicKey(): Uint8Array;
    get keyType(): KeyType;
    get supportedEncryptionAlgorithms(): JwaEncryptionAlgorithm[];
    get supportedSignatureAlgorithms(): JwaSignatureAlgorithm[];
    toJson(): Ed25519JwkJson;
    static fromJson(jwkJson: JwkJson): Ed25519Jwk;
    static fromPublicKey(publicKey: Uint8Array): Ed25519Jwk;
}
export interface Ed25519JwkJson extends JwkJson {
    kty: JwaKeyType.OKP;
    crv: JwaCurve.Ed25519;
    x: string;
    use?: 'sig';
}
