"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsoleLogger = void 0;
const BaseLogger_1 = require("./BaseLogger");
const Logger_1 = require("./Logger");
class ConsoleLogger extends BaseLogger_1.BaseLogger {
    constructor() {
        super(...arguments);
        // Map our log levels to console levels
        this.consoleLogMap = {
            [Logger_1.LogLevel.test]: 'log',
            [Logger_1.LogLevel.trace]: 'log',
            [Logger_1.LogLevel.debug]: 'debug',
            [Logger_1.LogLevel.info]: 'info',
            [Logger_1.LogLevel.warn]: 'warn',
            [Logger_1.LogLevel.error]: 'error',
            [Logger_1.LogLevel.fatal]: 'error',
        };
    }
    // biome-ignore lint/suspicious/noExplicitAny: <explanation>
    log(level, _message, data) {
        // Get console method from mapping
        const _consoleLevel = this.consoleLogMap[level];
        // Get logger prefix from log level names in enum
        const _prefix = Logger_1.LogLevel[level].toUpperCase();
        // Return early if logging is not enabled for this level
        if (!this.isEnabled(level))
            return;
        // Log, with or without data
        if (data) {
        }
        else {
        }
    }
    // biome-ignore lint/suspicious/noExplicitAny: <explanation>
    test(message, data) {
        this.log(Logger_1.LogLevel.test, message, data);
    }
    // biome-ignore lint/suspicious/noExplicitAny: <explanation>
    trace(message, data) {
        this.log(Logger_1.LogLevel.trace, message, data);
    }
    // biome-ignore lint/suspicious/noExplicitAny: <explanation>
    debug(message, data) {
        this.log(Logger_1.LogLevel.debug, message, data);
    }
    // biome-ignore lint/suspicious/noExplicitAny: <explanation>
    info(message, data) {
        this.log(Logger_1.LogLevel.info, message, data);
    }
    // biome-ignore lint/suspicious/noExplicitAny: <explanation>
    warn(message, data) {
        this.log(Logger_1.LogLevel.warn, message, data);
    }
    // biome-ignore lint/suspicious/noExplicitAny: <explanation>
    error(message, data) {
        this.log(Logger_1.LogLevel.error, message, data);
    }
    // biome-ignore lint/suspicious/noExplicitAny: <explanation>
    fatal(message, data) {
        this.log(Logger_1.LogLevel.fatal, message, data);
    }
}
exports.ConsoleLogger = ConsoleLogger;
//# sourceMappingURL=ConsoleLogger.js.map